vala-tests r21 - trunk/tests/bugs
- From: malureau svn gnome org
- To: svn-commits-list gnome org
- Subject: vala-tests r21 - trunk/tests/bugs
- Date: Sat, 18 Oct 2008 15:37:01 +0000 (UTC)
Author: malureau
Date: Sat Oct 18 15:37:01 2008
New Revision: 21
URL: http://svn.gnome.org/viewvc/vala-tests?rev=21&view=rev
Log:
Add bug 433296 test
Added:
trunk/tests/bugs/433296.test (contents, props changed)
trunk/tests/bugs/433296.vala
Added: trunk/tests/bugs/433296.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/433296.test Sat Oct 18 15:37:01 2008
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+ VALAC=valac
+ SRCDIR=.
+fi
+
+while true ; do
+ case "$1" in
+ --interact) INTERACT=1 ; shift ;;
+ --) shift ; break ;;
+ *) break ;;
+ esac
+done
+
+TESTNAME=`basename $0 .test`
+
+$VALAC -o $TESTNAME $SRCDIR/$TESTNAME.vala $VALAFLAGS
+
+true || exit 1
+
+if [ "x1" = "x1" -o "x$INTERACT" = "x1" ] ; then
+ G_DEBUG=fatal_warnings ./$TESTNAME $@
+else
+ echo ""
+ [ "x1" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+ [ "x1" = "xno" ] && rm -rf 433296.o
+fi
+
Added: trunk/tests/bugs/433296.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/433296.vala Sat Oct 18 15:37:01 2008
@@ -0,0 +1,8 @@
+static void main () {
+ var indices = new SList<int> ();
+ indices.append (1);
+ indices.append (2);
+ SList<int> rev_indices = indices.copy ();
+ rev_indices.reverse ();
+}
+
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]